#############################################################################
# Software Testing Automation Framework (STAF)                              #
# (C) Copyright IBM Corp. 2001                                              #
#                                                                           #
# This software is licensed under the Common Public License (CPL) V1.0.     #
#############################################################################

sdgsample_perl_targets += $(REL)/bin/DeviceService.pl
Targets += $(sdgsample_perl_targets)
CleanupTargets += cleanup_sdgsample_perl

#=====================================================================
#   C/C++ Info Flags
#=====================================================================

# Include inference rules
include $(InferenceRules)

# STAFIF PERL targets

$(REL)/bin/DeviceService.pl: $(SRC)/services/sdg_sample/DeviceService.pl $(MAKEFILE_NAME)
	$(COPY_FILE)

cleanup_sdgsample_perl:
	-@$(DEL) $(REL)/bin/DeviceService.pl $(OUT_ERR_TO_DEV_NULL)

