/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2004, 2005                                        */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

package com.ibm.staf.service.stax.staxdoc;

import java.util.*;

/******************************************************************************
* Stores command line options and global variables.
******************************************************************************/
public class Options
{
  public String destDir = null;

  public String srcPathString = ".";

  public boolean verbose = false;
  public String doctitle = "";
  public String windowtitle = "STAX Documentation Generator (STAXDoc)";

  public String overviewFilename = null;

  public List packagePathsList = new ArrayList();
  public List packageNamesList = new ArrayList();

}
