<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><a name=top><h1>Download Services for STAF V3</h1></center>
<p>
The latest releases of services for STAF V3 can be downloaded from
this page.  If you want to download the latest releases of services
for STAF V2, go to the
<a href="getservices2x.php">Download Services for STAF V2"</a> page instead.
Earlier releases of services can be accessed from the
<a href="http://sourceforge.net/project/showfiles.php?group_id=33142">
"See All Releases"</a> page.
<p>
See the <a href="latest.php">Programmatically retrieving the latest STAF
releases</a> page for more information about how to programmatically retrieve the
latest STAF releases.
<p>
<b>Note:</b>  These external services versions require with STAF V3.
<p>
<menu>
<li><a href="#Cron">Cron Service (Version 3.3.3)</a>
<li><a href="#Email">Email Service (Version 3.3.2)</a>
<li><a href="#Event">Event Service (Version 3.1.2)</a>
<li><a href="#EventManager">EventManager Service (Version 3.3.3)</a>
<li><a href="#FSExt">FSExt Service (Version 3.0.1)</a>
<li><a href="#FTP">FTP Service (Version 1.0.1)</a>
<li><a href="#HTTP">HTTP Service (Version 3.0.1)</a>
<li><a href="#NamedCounter">NamedCounter Service (Version 3.0.1)</a>
<li><a href="#Namespace">Namespace Service (Version 1.0.1)</a>
<li><a href="#SXE">SXE Service (Version 3.0.2)</a>
<li><a href="#Timer">Timer Service (Version 3.0.2)</a>
</menu>

<p>
<a name="Cron"><font face="arial, helvetica" color="#1e029a" size="3"><b>Cron Service Version 3.3.3</b></font></a>
<p>
The Cron service allows you to register STAF commands that will be executed at a specified time interval. 
<br><b>Note: </b>Cron Service V3.3.3 requires STAF V3.1.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/CronV333.tar?download">CronV333.tar</a></td>
  <td>1.7M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/CronV333.zip?download">CronV333.zip</a></td>
  <td>1.6M</td>
</tr>
<tr>
  <td><a href="current/cron.pdf">Cron Service User's Guide (V333)</a></td>
</tr>
<tr>
  <td><a href="cronhistory.php">Cron Service History</a></td>
</tr>

</table>
<p>
<a name="Email"><font face="arial, helvetica" color="#1e029a" size="3"><b>Email Service Version 3.3.2</b></font>
<p>
The Email service will send an email message to a list of recipients. 
<br><b>Note: </b>Email Service V3.3.2 requires STAF V3.0.0 or later.
<br>
<p>

<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>

<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EmailV332.tar?download">EmailV332.tar</a></td>
  <td>120K</td>
</tr>

<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EmailV332.zip?download">EmailV332.zip</a></td>
  <td>68K</td>
</tr>

<tr>
  <td><a href="current/email.html">Email Service V3 User's Guide (V332)</a></td>
</tr>

<tr>
  <td><a href="emailhistory.php">Email Service V3 History</a></td>
</tr>

</table>
<p>

<a name="Event"><font face="arial, helvetica" color="#1e029a" size="3"><b>Event Service Version 3.1.2</b></font>
<p>
The Event service provides an interface to allow process communication based on events occuring.
<br><b>Note: </b>Event Service V3.1.2 requires STAF V3.1.0 or later.
<br>
<p>

<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EventV312.tar?download">EventV312.tar</a></td>
  <td>110K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EventV312.zip?download">EventV312.zip</a></td>
  <td>46K</td>
</tr>
<tr>
  <td><a href="current/event.htm">Event Service User's Guide (V312)</a></td>
</tr>
<tr>
  <td><a href="eventhistory.php">Event Service History</a></td>
</tr>
</table>
<p>

<a name="EventManager"><font face="arial, helvetica" color="#1e029a" size="3"><b>EventManager Service Version 3.3.3</b></font>
<p>
The EventManager service allows you to register with the Event Service in order to execute STAF Commands.
<br><b>Note: </b>EventManager Service V3.3.3 requires STAF V3.1.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EventManagerV333.tar?download">EventManagerV333.tar</a></td>
  <td>1.7M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EventManagerV333.zip?download">EventManagerV333.zip</a></td>
  <td>1.6M</td>
</tr>
<tr>
  <td><a href="current/eventmanager.pdf">EventManager Service User's Guide (V333)</a></td>
</tr>
<tr>
  <td><a href="eventmanagerhistory.php">EventManager Service History</a></td>
</tr>
</table>
<p>
<a name="FSExt"><font face="arial, helvetica" color="#1e029a" size="3"><b>FSExt Service Version 3.0.1</b></font>
<p>
The FSExt service provides some tools to perform extended file system requests.
<br><b>Note: </b>FSExt Service V3.0.1 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/FSExtV301.tar?download">FSExtV301.tar</a></td>
  <td>56K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/FSExtV301.zip?download">FSExtV301.zip</a></td>
  <td>20K</td>
</tr>
<tr>
  <td><a href="current/FSExt.html">FSExt Service User's Guide (V301)</a></td>
</tr>
<tr>
  <td><a href="fsexthistory.php">FSExt Service History</a></td>
</tr>
</table>
<p>
<a name="FTP"><font face="arial, helvetica" color="#1e029a" size="3"><b>FTP Service Version 1.0.1</b></font>
<p>
The FTP service provides client side FTP (File Transfer Protocol) functions like downloading
or uploading a file in binary mode from a remote FTP server.
<br><b>Note: </b>FTP Service V1.0.1 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/FTPV101.tar?download">FTPV101.tar</a></td>
  <td>70K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/FTPV101.zip?download">FTPV101.zip</a></td>
  <td>27K</td>
</tr>
<tr>
  <td><a href="current/FTP.html">FTP Service User's Guide (V101)</a></td>
</tr>
<tr>
  <td><a href="ftphistory.php">FTP Service History</a></td>
</tr>
</table>
<p>
<a name="HTTP"><font face="arial, helvetica" color="#1e029a" size="3"><b>HTTP Service Version 3.0.1</b></font>
<p>
The HTTP service provides the ability to quickly and easily make HTTP requests. 
<p>
<b>Note: </b>HTTP Service V3.0.1 requires STAF V3.1.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/HTTPV301.tar?download">HTTPV301.tar</a></td>
  <td>1.7M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/HTTPV301.zip?download">HTTPV301.zip</a></td>
  <td>1.6M</td>
</tr>
<tr>
  <td><a href="current/Http.html">HTTP Service User's Guide (V301)</a></td>
</tr>
<tr>
  <td><a href="httphistory.php">HTTP Service History</a></td>
</tr>
</table>
<p>
<a name="NamedCounter"><font face="arial, helvetica" color="#1e029a" size="3"><b>NamedCounter Service Version 3.0.1</b></font>
<p>
The NamedCounter service provides the ability to dynamically manage counters based on a name. 
<br><b>Note: </b>NamedCounter Service V3.0.1 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/NamedCounterV301.tar?download">NamedCounterV301.tar</a></td>
  <td>32K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/NamedCounterV301.zip?download">NamedCounterV301.zip</a></td>
  <td>12K</td>
</tr>
<tr>
  <td><a href="current/NamedCounterService.html">NamedCounter Service User's Guide (V301)</a></td>
</tr>
<tr>
  <td><a href="namedcounterhistory.php">NamedCounter Service History</a></td>
</tr>
</table>
<p>
<a name="Namespace"><font face="arial, helvetica" color="#1e029a" size="3"><b>Namespace Service Version 1.0.0</b></font>
<p>
The Namespace service provides a namespace hierarchy for storing and retrieving
a persistent repository of variables. 
<br><b>Note: </b>Namespace Service V1.0.0 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/NamespaceV101.tar?download">NamespaceV101.tar</a></td>
  <td>1.1M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/NamespaceV101.zip?download">NamespaceV101.zip</a></td>
  <td>1.1M</td>
</tr>
<tr>
  <td><a href="current/Namespace.pdf">Namespace Service User's Guide (V101)</a></td>
</tr>
<tr>
  <td><a href="namespacehistory.php">Namespace Service History</a></td>
</tr>
</table>
<p>
<a name="SXE"><font face="arial, helvetica" color="#1e029a" size="3"><b>SXE Service Version 3.0.2</b></font>
<p>
The STAF eXecution Engine (SXE) service allows the user to sequentially execute any number of STAF commands.
<br><b>Note: </b>SXE Service V3.0.2 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/SXEV302.tar?download">SXEV302tar</a></td>
  <td>40K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/SXEV302.zip?download">SXEV302.zip</a></td>
  <td>20K</td>
</tr>
<tr>
  <td><a href="current/sxe.html">SXE Service User's Guide (V302)</a></td>
</tr>
<tr>
  <td><a href="sxehistory.php">SXE Service History</a></td>
</tr>
</table>
<p>
<a name="Timer"><font face="arial, helvetica" color="#1e029a" size="3"><b>Timer Service Version 3.0.2</b></font>
<p>
The Timer service allows a process on one machine to periodically receive a notification message from the same or another machine. 
<br><b>Note: </b>Timer Service V3.0.2 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/TimerV302.tar?download">TimerV302.tar</a></td>
  <td>76K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/TimerV302.zip?download">TimerV302.zip</a></td>
  <td>32K</td>
</tr>
<tr>
  <td><a href="current/Timer.html">Timer Service User's Guide (V302)</a></td>
</tr>
<tr>
  <td><a href="timerhistory.php">Timer Service History</a></td>
</tr>
</table>
<p>

<!-- end of text for page -->

</td>
</tr>

<?php
require "bottom.php";
?>

</body>
</html>





