<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><a name=top><h1>Download Services for STAF V3</h1></center>
<p>
The latest releases of services for STAF V3 can be downloaded from
this page.  If you want to download the latest releases of services
for STAF V2, go to the
<a href="getservices2x.php">Download Services for STAF V2"</a> page instead.
Earlier releases of services can be accessed from the
<a href="http://sourceforge.net/project/showfiles.php?group_id=33142">
"See All Releases"</a> page.
<p>
<b>Note:</b>  Only V3 (or later) versions of external services can be used with STAF V3.
<p>
<menu>
<li><a href="#Cron">Cron Service (Version 3.1.0)</a>
<li><a href="#Email">Email Service (Version 3.1.2)</a>
<li><a href="#Event">Event Service (Version 3.1.0)</a>
<li><a href="#EventManager">EventManager Service (Version 3.1.1)</a>
<li><a href="#FSExt">FSExt Service (Version 3.0.0)</a>
<li><a href="#HTTP">HTTP Service (Version 3.0.0 Beta 11)</a>
<li><a href="#NamedCounter">NamedCounter Service (Version 3.0.0)</a>
<li><a href="#SXE">SXE Service (Version 3.0.1)</a>
<li><a href="#Timer">Timer Service (Version 3.0.1)</a>
</menu>

<p>
<a name="Cron"><font face="arial, helvetica" color="#1e029a" size="3"><b>Cron Service Version 3.1.0</b></font></a>
<p>
The Cron service allows you to register STAF commands that will be executed at a specified time interval. 
<br><b>Note: </b>Cron Service V3.1.0 requires STAF V3.1.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/CronV310.tar?download">CronV310.tar</a></td>
  <td>1.4M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/CronV310.zip?download">CronV310.zip</a></td>
  <td>1.4M</td>
</tr>
<tr>
  <td><a href="current/cron.pdf">Cron Service User's Guide (V310)</a></td>
</tr>
<tr>
  <td><a href="cronhistory.php">Cron Service History</a></td>
</tr>

</table>
<p>
<a name="Email"><font face="arial, helvetica" color="#1e029a" size="3"><b>Email Service Version 3.1.2</b></font>
<p>
The Email service will send an email message to a list of recipients. 
<br><b>Note: </b>Email Service V3.1.2 requires STAF V3.0.0 or later.
<br>
<p>

<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>

<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EmailV312.tar?download">EmailV312.tar</a></td>
  <td>80K</td>
</tr>

<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EmailV312.zip?download">EmailV312.zip</a></td>
  <td>55K</td>
</tr>

<tr>
  <td><a href="current/email.html">Email Service V3 User's Guide (V312)</a></td>
</tr>

<tr>
  <td><a href="emailhistory.php">Email Service V3 History</a></td>
</tr>

</table>
<p>

<a name="Event"><font face="arial, helvetica" color="#1e029a" size="3"><b>Event Service Version 3.1.0</b></font>
<p>
The Event service provides an interface to allow process communication based on events occuring.
<br><b>Note: </b>Event Service V3.1.0 requires STAF V3.1.0 or later.
<br>
<p>

<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EventV310.tar?download">EventV310.tar</a></td>
  <td>104K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EventV310.zip?download">EventV310.zip</a></td>
  <td>40K</td>
</tr>
<tr>
  <td><a href="current/event.htm">Event Service User's Guide (V310)</a></td>
</tr>
<tr>
  <td><a href="eventhistory.php">Event Service History</a></td>
</tr>
</table>
<p>

<a name="EventManager"><font face="arial, helvetica" color="#1e029a" size="3"><b>EventManager Service Version 3.1.1</b></font>
<p>
The EventManager service allows you to register with the Event Service in order to execute STAF Commands.
<br><b>Note: </b>EventManager Service V3.1.1 requires STAF V3.1.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EventManagerV311.tar?download">EventManagerV311.tar</a></td>
  <td>1.4M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/EventManagerV311.zip?download">EventManagerV311.zip</a></td>
  <td>1.4M</td>
</tr>
<tr>
  <td><a href="current/eventmanager.pdf">EventManager Service User's Guide (V311)</a></td>
</tr>
<tr>
  <td><a href="eventmanagerhistory.php">EventManager Service History</a></td>
</tr>
</table>
<p>
<a name="FSExt"><font face="arial, helvetica" color="#1e029a" size="3"><b>FSExt Service Version 3.0.0</b></font>
<p>
The FSExt service provides some tools to perform extended file system requests.
<br><b>Note: </b>FSExt Service V3.0.0 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/FSExtV300.tar?download">FSExtV300.tar</a></td>
  <td>56K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/FSExtV300.zip?download">FSExtV300.zip</a></td>
  <td>20K</td>
</tr>
<tr>
  <td><a href="current/FSExt.html">FSExt Service User's Guide (V300)</a></td>
</tr>
<tr>
  <td><a href="fsexthistory.php">FSExt Service History</a></td>
</tr>
</table>
<p>
<a name="HTTP"><font face="arial, helvetica" color="#1e029a" size="3"><b>HTTP Service Version 3.0.0 Beta 11</b></font>
<p>
The HTTP service provides the ability to quickly and easily make HTTP requests. 
<p>
<b>Note:</b>  A V3 GA version of the HTTP service will be released once we get some final approvals. 
HTTP Service V3.0.0 Beta 11 requires STAF V3.1.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/HTTPV300Beta11.tar?download">HTTPV300Beta11.tar</a></td>
  <td>1.6M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/HTTPV300Beta11.zip?download">HTTPV300Beta11.zip</a></td>
  <td>1.5M</td>
</tr>
<tr>
  <td><a href="current/Http.html">HTTP Service User's Guide (V300 Beta 11)</a></td>
</tr>
<tr>
  <td><a href="httphistory.php">HTTP Service History</a></td>
</tr>
</table>
<p>
<a name="NamedCounter"><font face="arial, helvetica" color="#1e029a" size="3"><b>NamedCounter Service Version 3.0.0</b></font>
<p>
The NamedCounter service provides the ability to dynamically manage counters based on a name. 
<br><b>Note: </b>NamedCounter Service V3.0.0 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/NamedCounterV300.tar?download">NamedCounterV300.tar</a></td>
  <td>32K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/NamedCounterV300.zip?download">NamedCounterV300.zip</a></td>
  <td>12K</td>
</tr>
<tr>
  <td><a href="current/NamedCounterService.html">NamedCounter Service User's Guide (V300)</a></td>
</tr>
<tr>
  <td><a href="namedcounterhistory.php">NamedCounter Service History</a></td>
</tr>
</table>
<p>
<a name="SXE"><font face="arial, helvetica" color="#1e029a" size="3"><b>SXE Service Version 3.0.1</b></font>
<p>
The STAF eXecution Engine (SXE) service allows the user to sequentially execute any number of STAF commands.
<br><b>Note: </b>SXE Service V3.0.1 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/SXEV301.tar?download">SXEV301.tar</a></td>
  <td>40K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/SXEV301.zip?download">SXEV301.zip</a></td>
  <td>20K</td>
</tr>
<tr>
  <td><a href="current/sxe.html">SXE Service User's Guide (V301)</a></td>
</tr>
<tr>
  <td><a href="sxehistory.php">SXE Service History</a></td>
</tr>
</table>
<p>
<a name="Timer"><font face="arial, helvetica" color="#1e029a" size="3"><b>Timer Service Version 3.0.1</b></font>
<p>
The Timer service allows a process on one machine to periodically receive a notification message from the same or another machine. 
<br><b>Note: </b>Timer Service V3.0.1 requires STAF V3.0.0 or later.
<br>
<p>
<table border="1">
<tr><td><b>File</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/TimerV301.tar?download">TimerV301.tar</a></td>
  <td>76K</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/TimerV301.zip?download">TimerV301.zip</a></td>
  <td>32K</td>
</tr>
<tr>
  <td><a href="current/Timer.html">Timer Service User's Guide (V301)</a></td>
</tr>
<tr>
  <td><a href="timerhistory.php">Timer Service History</a></td>
</tr>
</table>
<p>

<!-- end of text for page -->

</td>
</tr>

<?php
require "bottom.php";
?>

</body>
</html>





