<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><h1>HTTP Service History</h1></center>
<PRE>
-------------------------------------------------------------------------------
History Log for HTTP Service  
  
  Legend:
   - Fixes
   + Features
   = Internal changes
   * Changes required to migrate from one release to another

-------------------------------------------------------------------------------

Version 3.0.0 Beta 11: 12/07/2005

  - Fixed a problem when using the FILE option on a request such as DOGET
    where the result stored in the specified file is corrupted (Bug #1375570)
    
-------------------------------------------------------------------------------

Version 3.0.0 Beta 10: 09/29/2005

  + Provided the ability to mask passwords and other sensitive data
    (Feature #622392)
  + Updated to require STAF V3.1.0 or later using the new compareSTAFVersion()
    method since utilizing new privacy methods (Feature #1292268)  
  
-------------------------------------------------------------------------------

Version 3.0.0 Beta 9: 05/25/2005

  - Fixed Null Pointer Exception using CONTENTFILE option (Bug #1193873)
  + Provided better support for relative URLs (Feature #1013094)
  
-------------------------------------------------------------------------------

Version 3.0.0 Beta 8: 04/23/2005

  - Improved error message provided for RC 25 (Access Denied) for all requests
    (Bug #1054858) 
  - Changed to use STAFUtil's common resolve variable methods (Bug #1151440)
  - Changed to use STAF's temporary directory to store temporary files
    created by the HTTP service
  - Fixed problem submitting forms with an INPUT FILE control type
    (Bug #1155345)
  - Change to determine session owner using STAF instance UUID (Bug #1157057)
  - Changed license from GPL to CPL for all source code (Bug #1149491) 
  - Fixed Java ClassCastException querying a form by index (Bug #1170178)  
  - Updated to use CyberNeko HTML Parser V0.9.4 and Commons HttpClient V3.0-RC2
    (Bug #1188680)
    
-------------------------------------------------------------------------------

Version 3.0.0 Beta 7: 12/13/2004

  + Removed the quotes and commas from the verbose output for STAF command
    line output (Feature #550251)
  
-------------------------------------------------------------------------------

Version 3.0.0 Beta 6: 11/19/2004

  - Removed line separators from message text to display better
  - Fixed typo in HTTP Service Guide to reference the right jar file name
  
-------------------------------------------------------------------------------

Version 3.0.0 Beta 5: 10/30/2004

  + Changed to return STAFResult from init/term methods (Feature #584049)
  + Updated to marshall multi-valued results from LIST, QUERY, REQUEST,
    DOPOST, DOGET, SUBMIT FORM, and FOLLOW LINK requests (Feature #740150)
  + Changed to use new STAFServiceInterfaceLevel30 (Feature #550251)

-------------------------------------------------------------------------------

Version 3.0.0 Beta 4: 09/29/2004

  = Switched code base for non-session requests to use a temporary session
  - Fixed TRACE request behavior to display response message body in 
    non-session requests
  - Fixed 404 behavior now return rc 4404 as documentation indicates
  + Added session support (Feature #1004825)
  + Added SSL support (Feature #1004825)
  + Added Basic, Digest, and NTLM Authentication support (Feature #1004825)
  + Added Session persistant headers (Feature #1004825)
  + Added Cookie support (Feature #1004825)
  + Added PARAMETER option to provide support for method parameters 
    (Feature #1011721)
  + Added CONTENTFILE option to improve multi-file post support 
    (Feature #1011721)
  + Added form manipulation support (Feature #1004825)
  + Added link folllowing support  (Feature #1004825)

-------------------------------------------------------------------------------

Version 3.0.0 Beta 3: 06/28/2004

  - Changed to return new RC 4004 (IO Exception) instead of RC 38 (Java error)
    when a Java IOException occurs due to not being able to find the page
    requested for REQUEST/DOPOST/DOGET requests.  Also, added code to 
    unregister all HTTP return codes with the HELP service when the HTTP
    service is terminated. (Bug #944926)
  + Added un-register of the service handle during term() (Feature #966079)

-------------------------------------------------------------------------------

Version 3.0.0 Beta 2: 04/29/2004

  + Updated to use STAFServiceInterfaceLevel5, only supported in STAF V3.0.0
    (Feature #464843) 

-------------------------------------------------------------------------------

Version 1.0.5: 02/27/2004

  + Instrumented the HTTP service's handling of REQUEST/DOPOST/DOGET requests
    to record diagnostics data to help prepare for the migration to STAF V3.0.
    The HTTP service requires STAF V2.6.0 or later as a result of this change.
    (Feature #853620)  

-------------------------------------------------------------------------------

Version 1.0.4: 10/09/2003

  - Fixed problem where HTTP was returning an incorrect error message when
    receiving an invalid command request (Bug #820920)

-------------------------------------------------------------------------------

Previous History is not available

-------------------------------------------------------------------------------
</PRE>

</td>
</tr>

<!-- end of text for page -->

<?php
require "bottom.php";
?>

</body>
</html>
