<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><a name=top><h1>Download STAF V2</h1></center>
<p>
The latest releases for STAF V2 can be downloaded from this page.
If you want to download the latest releases for STAF V3, go to
the <a href="getcurrent.php">Download STAF V3"</a> page instead.
Earlier releases of STAF can be accessed from the
<a href="http://sourceforge.net/project/showfiles.php?group_id=33142">
"See All Releases"</a> page.

<p>
See the <a href=history2x.php>STAF History</a> page for STAF V2 history
information.
<p>
<h3>Binaries</h3>
<p>
The recommended installation method for STAF is to use InstallShield
MultiPlatform (ISMP).  However, if we haven't yet provided an
InstallShield MultiPlatform file, use the GNU zipped or compressed tar
file, if provided, to do a STAFInst install.
<p>
See the <a href="current2x/STAFUG.htm">STAF V2 User's Guide</a> for more 
detailed instructions for installing STAF V2.
<p>
The latest STAF V2 release is 2.6.10.
Files which are not at the latest release level are marked with an asterisk (*).
<p>
<table border="1">
<tr>
  <td><b>Platform</td>
  <td><b>Release</b></td>
  <td><b>File</b></td>
  <td><b>File format</b></td>
  <td><b>File size</b></td>
</tr>

<tr>
  <td>Win95/98/Me/NT/2000/XP/2003</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-win32.exe">STAF2610-setup-win32.exe</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>44M</td>
</tr>
<tr>
  <td>Win95/98/Me/NT/2000/XP/2003</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-win32.jar">STAF2610-setup-win32.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>11M</td>
</tr>
<tr>
  <td>Windows 2003 (IA64)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-win64.exe">STAF2610-setup-win64.exe</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>40M</td>
</tr>
<tr>
  <td>Windows 2003 (IA64)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-win64.jar">STAF2610-setup-win64.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.4 or higher)</td>
  <td>13M</td>
</tr>
<tr>
  <td>Linux (Intel)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-linux.bin">STAF2610-setup-linux.bin</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>48M</td>
</tr>
<tr>
  <td>Linux (Intel)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-linux.jar">STAF2610-setup-linux.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>12M</td>
</tr>
<tr>
  <td>Linux (Intel)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-linux.tar.gz">STAF2610-linux.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.7M</td>
</tr>
<tr>
  <td>Linux (IA64)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-linux-ia64.tar.gz">STAF2610-linux-ia64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.7M</td>
</tr>
<tr>
  <td>Linux (AMD64)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-linux-amd64.tar.gz">STAF2610-linux-amd64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.4M</td>
</tr>
<tr>
  <td>Linux (PPC64 32-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-linux-ppc64-32.tar.gz">STAF2610-linux-ppc64-32.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>3.9M</td>
</tr>
<tr>
  <td>Linux (PPC64 64-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-linux-ppc64-64.tar.gz">STAF2610-linux-ppc64-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.2M</td>
</tr>
<tr>
  <td>Linux (z/OS 32-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-zlinux-32.tar.gz">STAF2610-zlinux-32.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>3.8M</td>
</tr>
<tr>
  <td>Linux (z/OS 64-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-zlinux-64.tar.gz">STAF2610-zlinux-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>3.9M</td>
</tr>
<tr>
  <td>Linux (z/OS 64-bit for RHEL4)</td>
  <td>2.6.9*</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF269-zlinux-rhel4-64.tar.gz">STAF269-zlinux-rhel4-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.1M</td>
</tr>
<tr>
  <td>Linux (z/OS 64-bit for SLES9)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-zlinux-sles9-64.tar.gz">STAF2610-zlinux-sles9-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.2M</td>
</tr>
<tr>
  <td>Solaris (Sparc) 2.6+</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-solaris-sparc.bin">STAF2610-setup-solaris-sparc.bin</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>33M</td>
</tr>
<tr>
  <td>Solaris (Sparc) 2.6+</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-solaris-sparc.jar">STAF2610-setup-solaris-sparc.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>11M</td>
</tr>
<tr>
  <td>Solaris (Sparc) 2.6+</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-solaris-sparc.tar.gz">STAF2610-solaris-sparc.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.5M</td>
</tr>
<tr>
  <td>AIX 4.3.3.0+</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-aix.bin">STAF2610-setup-aix.bin</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>46M</td>
</tr>
<tr>
  <td>AIX 4.3.3.0+</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-aix.jar">STAF2610-setup-aix.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>12M</td>
</tr>
<tr>
  <td>AIX 4.3.3.0+</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-aix.tar.gz">STAF2610-aix.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>6.0M</td>
</tr>
<tr>
  <td>AIX 4.2.1+</td>
  <td>2.6.1*</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF261-aix421.tar.gz">STAF261-aix421.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5M</td>
</tr>
<tr>
  <td>HP-UX 11.00+ (PA-RISC)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-hpux.bin">STAF2610-setup-hpux.bin</a></td>
  <td>InstallShield MultiPlatform executable</td>
  <td>63M</td>
<tr>
  <td>HP-UX 11.00+ (PA-RISC)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-hpux.jar">STAF2610-setup-hpux.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>11M</td>
<tr>
  <td>HP-UX 11.00+ (PA-RISC)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-hpux.tar.gz">STAF2610-hpux.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.5M</td>
</tr>
<tr>
  <td>HP-UX 11.00+ (IA64 32-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-hpux-ia64-32.bin">STAF2610-setup-hpux-ia64-32.bin</a></td>
  <td>InstallShield MultiPlatform executable</td>
  <td>43M</td>
<tr>
  <td>HP-UX 11.00+ (IA64 32-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-hpux-ia64-32.jar">STAF2610-setup-hpux-ia64-32.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>14M</td>
<tr>
  <td>HP-UX 11.00+ (IA64 32-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-hpux-ia64-32.tar.gz">STAF2610-hpux-ia64-32.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>7.6M</td>
</tr>
<tr>
  <td>HP-UX 11.00+ (IA64 64-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-hpux-ia64-64.bin">STAF2610-setup-hpux-ia64-64.bin</a></td>
  <td>InstallShield MultiPlatform executable</td>
  <td>43M</td>
<tr>
  <td>HP-UX 11.00+ (IA64 64-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-setup-hpux-ia64-64.jar">STAF2610-setup-hpux-ia64-64.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>14M</td>
<tr>
  <td>HP-UX 11.00+ (IA64 64-bit)</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-hpux-ia64-64.tar.gz">STAF2610-hpux-ia64-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>7.6M</td>
</tr>
<tr>
  <td>Irix</td>
  <td>2.3.0*</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF230-irix.tar.gz">STAF230-irix.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.5M</td>
</tr>
<tr>
  <td>AS/400</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-as400.tar.gz">STAF2610-as400.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>6.0M</td>
</tr>
<tr>
  <td>z/OS</td>
  <td>2.6.10</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-zos.tar.Z">STAF2610-zos.tar.Z</a></td>
  <td>Unix compressed file</td>
  <td>7.6M</td>
</tr>
</table>
<p>
<h3>Source code</h3>

<table border="1">
<tr><td><b>File</b></td><td><b>File Format</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-src.tar.gz">STAF2610-src.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>6.7M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF2610-src.zip">STAF2610-src.zip</a></td>
  <td>Zip file</td>
  <td>7.5M</td>
</tr>
<tr>
</table>
<p>

<p>
<h3>Documentation</h3>

<table border="1">
<tr><td><b>Document</b></td><td><b>File</b></td></tr>
<tr>
  <td><a href="current2x/STAFGS.pdf">Getting Started with STAF V2</a></td>
  <td>STAFGS.pdf</td>
</tr>
<tr>
  <td><a href="current2x/STAFUG.htm">STAF V2 User's Guide</a></td>
  <td>STAFUG.htm</td>
</tr>
<tr>
  <td><a href="current2x/STAFFAQ.htm">STAF V2 Frequently Asked Questions</a></td>
  <td>STAFFAQ.htm</td>
</tr>
<tr>
  <td><a href="current2x/STAFCMDS.htm">STAF V2 Service Command Reference</a></td>
  <td>STAFCMDS.htm</td>
</tr>
<tr>
  <td><a href="current2x/STAFRC.htm">STAF V2 API Return Code Reference</a></td>
  <td>STAFRC.htm</td>
</tr>
<tr>
  <td><a href="current2x/stafdg.html">STAF V2 Developer's Guide</a></td>
  <td>stafdg.html</td>
</tr>
<tr>
  <td><a href="current2x/stafsdg.html">STAF V2 Service Developer's Guide</a></td>
  <td>stafsdg.html</td>
</tr>

</table>
<p>

</td>
</tr>

<!-- end of text for page -->

<?php
require "bottom.php";
?>

</body>
</html>

