<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
        <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for home page here -->

<tr>
<td>
<font face="arial, helvetica" color="#1e029a" size="4"><b>Welcome to STAF</b></font>
<p>
The Software Testing Automation Framework (STAF) is an open source, multi-platform,
multi-language framework designed around the idea of reusable components, called services
(such as process invocation, resource management, logging, and monitoring).
STAF removes the tedium of building an automation infrastructure, thus enabling you to
focus on building your automation solution.  The STAF framework provides the foundation
upon which to build higher level solutions, and provides a pluggable approach supported
across a large variety of platforms and languages.
<p>
<font face="arial, helvetica" color="#1e029a" size="4"><b>Latest Releases</b></font>
<p>
<ul compact>
<li><b>STAF 3.3.1</b> (September 24, 2008) (<a href="getcurrent.php">Download</a>) 
<li><b>STAX 3.3.4</b> (September 24, 2008) (<a href="getstax.php">Download</a>)
</ul>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<b>Other STAF Services</b> (provided separately as "add-ons" to the core STAF services):
<menu>
<li><b>Cron Service 3.3.3</b> (September 24, 2008) (<a href="getservices.php#Cron">Download</a>)
<li><b>Email Service 3.3.2</b> (September 24, 2008) (<a href="getservices.php#Email">Download</a>)
<li><b>Event Service 3.1.2</b> (September 24, 2008) (<a href="getservices.php#Event">Download</a>)
<li><b>EventManager Service 3.3.3</b> (September 24, 2008) (<a href="getservices.php#EventManager">Download</a>)
<li><b>FSExt (File System Extension) Service 3.0.1</b> (February 27, 2008) (<a href="getservices.php#FSExt">Download</a>)
<li><b>FTP Service 1.0.1</b> (October 6, 2008) (<a href="getservices.php#FTP">Download</a>)
<li><b>HTTP Service 3.0.1</b> (September 24, 2008) (<a href="getservices.php#HTTP">Download</a>)
<li><b>NamedCounter Service 3.0.1</b> (February 27, 2008) (<a href="getservices.php#NamedCounter">Download</a>)
<li><b>Namespace Service 1.0.1</b> (February 27, 2008) (<a href="getservices.php#Namespace">Download</a>)
<li><b>SXE (Staf eXecution Engine) Service 3.0.2</b> (February 27, 2008) (<a href="getservices.php#SXE">Download</a>)
<li><b>Timer Service 3.0.2</b> (February 27, 2008) (<a href="getservices.php#Timer">Download</a>)
</menu>
<p>
STAF can be leveraged to help solve common industry problems, such as more frequent
product cycles, less preparation time, reduced testing time, more platform choices,
more programming language choices, and increased National Language requirements.
STAF can help in these areas since it is a proven and mature technology, promotes
automation and reuse, has broad platform and language support, and provides a common
infrastructure across teams.
<p>
STAX is an execution engine which can help you thoroughly automate the
distribution, execution, and results analysis of your testcases. STAX builds on top of
three existing technologies, STAF, XML, and Python, to place great automation power in
the hands of testers. STAX also provides a powerful monitoring application which
allows you to interact with and monitor the progress of your jobs.
Some of the main features of STAX are:  support for parallel execution, user-defined
granularity of execution control, support for nested testcases, the ability to control
the length of execution time, the ability to import modules at run-time, support for
existing Python and Java modules and packages, and the ability to extend both the
STAX language as well as the STAX monitoring application.
Using these capabilities, you can build sophisticated scripts to automate your
entire test environment, while ensuring maximum efficiency and control.
<p>
Other STAF services are also provided to help you to create an end-to-end automation
solution.  By using these services in your test cases and automated solutions,
you can develop more robust, dynamic test cases and test environments.
<p>
We encourage the community to post patches, new features, new STAF services, etc.
that enhance or extend the STAF project.  Please see <a href="contributions.php">
Making Contributions to STAF</a> for more information on how to do this.
<p>
Also, feel free to post a question via one of our
<a href="http://sourceforge.net/forum/?group_id=33142">discussion forums</a>
or <a href="mailinglists.php">mailing lists</a>.  These are also good places
to search for answers to questions, in addition to the <a href="current/STAFFAQ.htm">FAQ</a>,
<a href="current/STAFUG.htm">STAF User Guide</a>, <a href="current/STAX/staxug.html">STAX User Guide</a>,
and <a href="docs.php">other documentation</a>.
<p>
Note that eWeek.com ran an article in 2007 about the most important open-source applications.
At the end they invited readers to write in letting them know about applications
they missed.  Then they ran an article containing the ones most often mentioned
and their readers said STAF was one of the most important open-source applications.
See the full article
<a href="http://www.eweek.com/slideshow_viewer/0,1205,l=&s=25947&a=209454&po=1,00.asp?p=y?kc=EWKNLNAV061307FEA1">
here</a>.  This <a href="http://www.eweek.com/slideshow_viewer/0,1205,l=&s=25947&a=209454&po=13,00.asp">slide</a>
is about STAF.
<p>
Also, SDTimes.com ran an article on July 22, 2008 that put STAF at the top of its
list of open source tools for Automated Testing.  See the
<a href="http://www.sdtimes.com/content/article.aspx?ArticleID=32583">
Functional Testing Tools, the Open-Source Wave</a> article.
<p>
<font face="arial, helvetica" color="#1e029a" size="4"><b>Latest News</b></font><BR>
<ul>
  <li><b>October 6, 2008:</b> <a href="getservices.php">FTP 1.0.1</a> is now available.
  <li><b>September 24, 2008:</b> <a href="getcurrent.php">STAF 3.3.1</a>,
                                <a href="getstax.php">STAX 3.3.4</a>, 
                                <a href="getservices.php">Cron 3.3.3, Email 3.3.2, Event 3.1.2, 
                                EventManager 3.3.3, and HTTP 3.0.1</a> are now available.
  <li><b>June 27, 2008:</b> <a href="getcurrent.php">STAF 3.3.0</a> and <a href="getstax.php">STAX 3.3.3</a>
         are now available.
  <li><b>June 20, 2008:</b> <a href="getservices.php">HTTP 3.0.0</a> is now available.
  <li><b>February 27, 2008:</b> <a href="getcurrent.php">STAF 3.2.5</a>,
                                <a href="getstax.php">STAX 3.3.2</a>, 
                                <a href="getservices.php">Cron 3.3.2, Email 3.3.1, Event 3.1.1, 
                                EventManager 3.3.2, FSExt 3.0.1, NamedCounter 3.0.1, Namespace 1.0.1,
                                SXE 3.0.2, and Timer 3.0.2</a> are now available.
  <li><b>January 8, 2008:</b> <a href="getservices.php">Cron 3.3.1 and EventManager 3.3.1</a> are now available.
  <li><b>December 13, 2007:</b> <a href="getstax.php">STAX 3.3.1</a> is now available.
  <li><b>December 13, 2007:</b> <a href="getcurrent.php">STAF 3.2.4</a> is now available.
  <li><b>November 20, 2007:</b> <a href="getservices.php">Cron 3.3.0 and EventManager 3.3.0</a> are now available.
  <li><b>November 9, 2007:</b> <a href="getservices.php">Email 3.3.0</a> is now available.
  <li><b>October 2, 2007:</b> <a href="getstax.php">STAX 3.3.0</a> is now available.
  <li><b>August 29, 2007:</b> <a href="getcurrent.php">STAF 3.2.3</a> is now available.
<!--
  <li><b>May 21, 2007:</b> <a href="getstax.php">STAX 3.2.1</a> is now available.
  <li><b>May 21, 2007:</b> <a href="getcurrent.php">STAF 3.2.2</a> is now available.
  <li><b>February 28, 2007:</b> <a href="getstax.php">STAX 3.2.0</a> is now available.
  <li><b>February 28, 2007:</b> <a href="getcurrent.php">STAF 3.2.1</a> is now available.
  <li><b>November 28, 2006:</b> <a href="getservices.php">Email 3.2.0</a> is now available.
  <li><b>November 9, 2006:</b> <a href="getstax.php">STAX 3.1.5</a> is now available.
  <li><b>October 31, 2006:</b> <a href="getcurrent.php">STAF 3.2.0</a> is now available.
  <li><b>August 31, 2006:</b> <a href="getservices.php">Cron 3.2.0 and EventManager 3.2.0</a> are now available.
  <li><b>August 29, 2006:</b> <a href="getcurrent.php">STAF 3.1.5</a> is now available.
  <li><b>July 12, 2006:</b> <a href="getstax.php">STAX 3.1.4</a> is now available.
  <li><b>June 29, 2006:</b> <a href="getstax.php">STAX 3.1.3</a> is now available.
  <li><b>June 29, 2006:</b> <a href="getcurrent.php">STAF 3.1.4</a> is now available.
  <li><b>May 18, 2006:</b> <a href="getstax.php">STAX 3.1.2</a> is now available.
 -->
  <li><b>April 21, 2006:</b> <a href="getcurrent2x.php">End of service for all STAF V2 releases.</a>
<!--
  <li><b>April 19, 2006:</b> <a href="getcurrent2x.php">STAF 2.6.11</a> is now available.
  <li><b>April 19, 2006:</b> <a href="getstax2x.php">STAX 1.5.10</a> is now available.
  <li><b>March 28, 2006:</b> <a href="getcurrent.php">STAF 3.1.3</a> is now available.
  <li><b>March 22, 2006:</b> End of service for all STAF V2 releases is planned for April 21, 2006.
  <li><b>January 16, 2006:</b> <a href="getcurrent.php">STAF 3.1.2</a> is now available.
  <li><b>December 21, 2005:</b> <a href="getcurrent2x.php">STAF 2.6.10</a> is now available.
  <li><b>December 9, 2005:</b> <a href="getcurrent.php">STAF 3.1.1</a> is now available.
  <li><b>December 8, 2005:</b> <a href="getstax.php">STAX 3.1.1</a> is now available.
  <li><b>December 8, 2005:</b> <a href="getstax2x.php">STAX V1.5.9</a> is now available.
  <li><b>October 4, 2005:</b> <a href="getstax.php">STAX 3.1.0</a> is now available.
  <li><b>September 30, 2005:</b> <a href="getcurrent.php">STAF 3.1.0</a> is now available.
  <li><b>August 17, 2005:</b> <a href="getcurrent2x.php">STAF 2.6.9</a> is now available.
  <li><b>August 17, 2005:</b> <a href="getstax2x.php">STAX 1.5.8</a> is now available.
  <li><b>August 16, 2005:</b> <a href="getcurrent.php">STAF 3.0.3</a> is now available.
  <li><b>August 16, 2005:</b> <a href="getstax.php">STAX 3.0.2</a> is now available.
  <li><b>July 19, 2005:</b> <a href="getcurrent.php">STAF 3.0.2</a> is now available.
  <li><b>June 28, 2005:</b> <a href="getcurrent.php">STAF 3.0.1</a> is now available.
  <li><b>June 28, 2005:</b> <a href="getstax.php">STAX 3.0.1</a> is now available.
  <li><b>May 5, 2005:</b> <a href="getcurrent2x.php">STAF 2.6.8</a> is now available.
  <li><b>May 5, 2005:</b> <a href="getstax2x.php">STAX 1.5.7</a> is now available.
  <li><b>April 22, 2005:</b> <a href="getcurrent.php">STAF 3.0.0</a> is now available.
  <li><b>April 22, 2005:</b> <a href="getstax.php">STAX 3.0.0</a> is now available.
  <li><b>January 26, 2005:</b> <a href="getcurrent2x.php">STAF 2.6.7</a> is now available.
  <li><b>January 26, 2005:</b> <a href="getstax2x.php">STAX 1.5.6</a> is now available.
  <li><b>December 14, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 7</a> is now available.
  <li><b>November 19, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 6</a> is now available.
  <li><b>November 5, 2004:</b> <a href="getstax2x.php">STAX 1.5.5</a> is now available.
  <li><b>November 5, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.6</a> is now available.
  <li><b>October 31, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 5</a> is now available.
  <li><b>September 30, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 4</a> is now available.
  <li><b>September 14, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.5</a> is now available.
  <li><b>August 2, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.4</a> is now available.
  <li><b>July 22, 2004:</b> <a href="getstax2x.php">STAX 1.5.4</a> is now available.
  <li><b>June 30, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 3</a> is now available.
  <li><b>May 26, 2004:</b> <a href="getstax2x.php">STAX 1.5.3</a> is now available.
  <li><b>May 14, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.3</a> is now available.
  <li><b>May 3, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 2</a> is now available.
  <li><b>April 30, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.2</a> is now available.
  <li><b>April 2, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 1</a> is now available.
  <li><b>April 2, 2004:</b> <a href="getstax2x.php">STAX 1.5.2</a> is now available.
  <li><b>April 2, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.1</a> is now available.
  <li><b>March 4, 2004:</b> <a href="getstax2x.php">STAX 1.5.1</a> is now available.
  <li><b>March 4, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.0</a> is now available.
  <li><b>January 29, 2004:</b> <a href="getstax2x.php">STAX 1.5.0</a> is now available.
  <li><b>January 29, 2004:</b> <a href="getcurrent2x.php">STAF 2.5.2</a> is now available.
  <li><b>September 30, 2003:</b> <a href="getstax.php">STAX 1.4.1</a> is now available.
  <li><b>September 29, 2003:</b> <a href="getcurrent.php">STAF 2.5.1</a> is now available.
  <li><b>July 30, 2003:</b> <a href="getcurrent.php">STAF 2.5.0</a> is now available.
  <li><b>June 4, 2003:</b> <a href="getstax.php">STAX 1.4.0</a> is now available.
  <li><b>March 27, 2003:</b> <a href="getcurrent.php">STAF 2.4.5</a> is now available.
  <li><b>March 18, 2003:</b> <a href="getstax.php">STAX 1.3.3</a> is now available.
  <li><b>March 13, 2003:</b> <a href="getcurrent.php">STAF 2.4.4</a> is now available.
  <li><b>December 11, 2002:</b> <a href="getstax.php">STAX 1.3.2</a> is now available.
  <li><b>December 10, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.4.3</a> is now available.
  <li><b>October 8, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.4.2 and STAX 1.3.1</a> are now available.
  <li><b>August 29, 2002:</b> <a href="getstax.php">STAX 1.2.1</a> is now available.
  <li><b>August 27, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.4.1</a> is now available.
  <li><b>August 5, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.4.0</a> is now available.
  <li><b>June 3, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.3.2</a> is now available for Windows, Linux, AIX, and Solaris.
  <li><b>April 11, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.3.1</a> is now available for Windows and Linux.
  -->  
</ul>

</td>
</tr>

<!-- End of text for home page -->

<?php
require "bottom.php";
?>

</body>
</html>

